package com.image_scaler_v2
{
    import flash.utils.getTimer;
	import flash.display.*;
	import flash.events.*;
	import flash.net.*;
	import gs.*;
	
	public class Image_scaler extends MovieClip
	{
		
        private var _mc:MovieClip;
		private var _xml:XML;
		
		public function Image_scaler():void
		{
			_mc = this;
			_mc.slider_mc.control = _mc;
			_mc.images_mc.control = _mc;
			_mc.viewer_mc.control = _mc;
			_mc.intro_mc.launch_btn.addEventListener(MouseEvent.CLICK,_dive_in);
			_mc.intro_mc.explo_btn.addEventListener(MouseEvent.CLICK,go_link);
			_mc.intro_mc.nise_btn.addEventListener(MouseEvent.CLICK,go_link);
			_mc.intro_mc.nsf_btn.addEventListener(MouseEvent.CLICK,go_link);
			_mc.intro_mc.cc_btn.addEventListener(MouseEvent.CLICK,go_link);
		}
		
		private function _dive_in(event:Event):void
		{
			TweenLite.to(_mc.intro_mc,0.3,{scaleX:0, scaleY:0, x:700,y:360});
			_mc.but0_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.but1_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.but2_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.but3_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.but4_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.but5_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.but6_btn.addEventListener(MouseEvent.CLICK,button_click);
			_mc.slider_mc.button_pushed(50);		
		}
		
		public function go_link(event:Event):void
		{
			var url:String = "";
			switch (event.target.name)
			{
				case "explo_btn":
				url = "http://www.exploratorium.edu";
				break;
				case "nsf_btn":
				url = "http://www.nsf.gov";
				break;
				case "cc_btn":
				url = "http://creativecommons.org/licenses/by-nc-sa/3.0/us/";
				break;
				case "nise_btn":
				url = "http://www.nisenet.org";
				break;
				default:
			}
			if (url!="")
			{
				var request:URLRequest = new URLRequest(url);
				try {
				  navigateToURL(request, '_blank'); // second argument is target
				} catch (e:Error) {
				  trace("Error occurred!");
				}
			}
		}
				
		public function slide($pos:Number):void
		{
			//trace($pos);
			_mc.images_mc.reposition($pos);
		}
		
		public function filter_images($str:String):void
		{
			_mc.images_mc.show_all();		
		}
		
		public function hide_labels():void
		{
			_mc.images_mc.hide_labels();		
		}
		
		public function show_image($xml:XML):void
		{
			_mc.viewer_mc.show_image($xml);		
		}
		
		public function button_click(event:Event):void
		{
			_mc.slider_mc.button_pushed(event.target.y);		
		}
		
	}
	
}
